Package org.apache.sysds.runtime.controlprogram.paramserv.dp

# Class ReplicateToMaxFederatedScheme

java.lang.Object
org.apache.sysds.runtime.controlprogram.paramserv.dp.DataPartitionFederatedScheme
org.apache.sysds.runtime.controlprogram.paramserv.dp.ReplicateToMaxFederatedScheme

public class ReplicateToMaxFederatedScheme extends DataPartitionFederatedScheme
Replicate to Max Federated scheme When the parameter server runs in federated mode it cannot pull in the data which is already on the workers. Therefore, a UDF is sent to manipulate the data locally. In this case the global maximum number of examples is taken and the worker replicates data to match that number of examples. The generation is done by multiplying with a Permutation Matrix with a global seed. These selected examples are appended to the original data. Then all entries in the federation map of the input matrix are separated into MatrixObjects and returned as a list. Only supports row federated matrices atm.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.sysds.runtime.controlprogram.paramserv.dp.DataPartitionFederatedScheme

`DataPartitionFederatedScheme.BalanceMetrics, DataPartitionFederatedScheme.Result`

## Constructor Summary

Constructors
Constructor
Description
`ReplicateToMaxFederatedScheme()`

## Method Summary

Modifier and Type
Method
Description
`DataPartitionFederatedScheme.Result`
`partition(MatrixObject features, MatrixObject labels, int seed)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReplicateToMaxFederatedScheme

public ReplicateToMaxFederatedScheme()

## Method Details

### partition

public DataPartitionFederatedScheme.Result partition(MatrixObject features, MatrixObject labels, int seed)

Specified by:
  `partition` in class `DataPartitionFederatedScheme`